#ifndef __SCCB_H
#define __SCCB_H


#define SCL_H()         PTA14_OUT = 1
#define SCL_L()         PTA14_OUT = 0
#define	SCL_DDR_OUT() 	DDRA14 = 1
#define	SCL_DDR_IN() 	DDRA14 = 0

#define SDA_H()         PTA17_OUT = 1
#define SDA_L()         PTA17_OUT = 0
#define SDA_IN()      	PTA17_IN
#define SDA_DDR_OUT()	DDRA17 = 1
#define SDA_DDR_IN()	DDRA17 = 0

#define ADDR_OV7725   0x42

#define SCCB_DELAY()	SCCB_delay(100)


void SCCB_GPIO_init(void);
int SCCB_WriteByte( u16 WriteAddress , u8 SendByte);
int SCCB_ReadByte(u8 *pBuffer,   u16 length,   u8 ReadAddress);

static void SCCB_delay(u16 i);
#endif
